function createAboutScreen(){
    console.log("ABOUT US SCREEN");

    var bg = Crafty.e("2D, Canvas, Image, Mouse").attr({x:0,y:0,w:480,h:280}).image('images/menuBg.png');
    
    var aboutUstext = Crafty.e("2D, Canvas, Image, Mouse").image("images/aboutus_text.png");
    aboutUstext.x = bg._x+50; aboutUstext.y = bg._y+10;

    
    var backBtnHover = Crafty.e("2D, Canvas, Image, Mouse").image("images/back_image1.png");
    backBtnHover.x = bg._x+428; backBtnHover.y = bg._y+232;    
    
    var backBtn = Crafty.e("2D, Canvas, Image, Mouse").image("images/back_image.png");
    backBtn.x = bg._x+428; backBtn.y = bg._y+232;    


    backBtn.bind("MouseDown", function(e) { 
        backBtn.alpha = 0.01;
    });
    
    backBtn.bind("MouseUp", function(e) { 
        backBtn.alpha = 1;
        playSfxAudio("BtnClick");
        deleteImages([bg,aboutUstext, backBtn, backBtnHover]);
    });
    
 
    bg.bind("MouseUp", function(e) { 
        backBtn.alpha = 1;
    }); 
    
    aboutUstext.bind("MouseUp", function(e) { 
        backBtn.alpha = 1;
    }); 
}
